#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    
    uint16_t N, M;
    
    cin >> N >> M;
    
    for(uint8_t i = 0; i < N; i++){
        for(uint8_t j = 0; j < M; j++){
            if(i == j) cout << "C";
            else cout << ".";
        }
        cout << "\n";
    }
}